Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.registry
Class AbstractRegistryInterceptor

    java.lang.Object
      org.jboss.soa.esb.services.registry.AbstractRegistryInterceptor

All Implemented Interfaces:
  Registry, RegistryInterceptor

    public abstract class AbstractRegistryInterceptor

extends java.lang.Object
implements RegistryInterceptor

An abstract registry interceptor for managing the registry assignment.

Author:
  Kevin Conner

Constructor Summary
`AbstractRegistryInterceptor()`

Method Summary
`protected Registry` | `getRegistry()` Get the next registry or interceptor in the chain.
`void` | `setRegistry(Registry registry)` Initialise the registry or interceptor that is next in the chain.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.services.registry.Registry
`findAllServices, findEPR, findEPRs, findServices, registerEPR, unRegisterEPR, unRegisterService`

Constructor Detail

### AbstractRegistryInterceptor

    public AbstractRegistryInterceptor()

Method Detail

### setRegistry

    public void setRegistry(Registry registry)

  Initialise the registry or interceptor that is next in the chain.

  Specified by:
    `setRegistry` in interface `RegistryInterceptor`
  Parameters:
    `registry` - The next entry in the chain or null if dismantling.

### getRegistry

    protected Registry getRegistry()
                            throws RegistryException

  Get the next registry or interceptor in the chain.

  Returns:
    The next registry or interceptor in the chain.
  Throws:
    `RegistryException` - If the chain has been dismantled.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD